Package org.apache.sysds.runtime.iogen

# Class MappingTrie

java.lang.Object
org.apache.sysds.runtime.iogen.MappingTrie

public class MappingTrie extends Object

## Constructor Summary

Constructors
Constructor
Description
`MappingTrie()`

## Method Summary

Modifier and Type
Method
Description
`ArrayList<ArrayList<String>>`
`getAllSequentialKeys()`
`Set<String>`
`getAllSubStringsOfStringContainIntersect(String str, BitSet bitSet)`
`MappingTrieNode`
`getFistMultiChildNode(MappingTrieNode node)`
`String`
`getIntersectOfChildren(MappingTrieNode node)`
`MappingTrieNode`
`getRoot()`
`void`
`insert(String word, int rowIndex)`
`void`
`insert(String word, ArrayList<Integer> rowIndexes)`
`void`
`insertKeys(ArrayList<String> keys)`
`boolean`
`reConstruct()`
`void`
`reverseInsert(String word, int rowIndex)`
`void`
`setInALine(boolean inALine)`
`void`
`setWindowSize(int windowSize)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MappingTrie

public MappingTrie()

## Method Details

### setInALine

public void setInALine(boolean inALine)

### insert

public void insert(String word, int rowIndex)

### reverseInsert

public void reverseInsert(String word, int rowIndex)

### insert

public void insert(String word, ArrayList<Integer> rowIndexes)

### getFistMultiChildNode

public MappingTrieNode getFistMultiChildNode(MappingTrieNode node)

### insertKeys

public void insertKeys(ArrayList<String> keys)

### getAllSubStringsOfStringContainIntersect

public Set<String> getAllSubStringsOfStringContainIntersect(String str, BitSet bitSet)

### getIntersectOfChildren

public String getIntersectOfChildren(MappingTrieNode node)

### getRoot

public MappingTrieNode getRoot()

### reConstruct

public boolean reConstruct()

### getAllSequentialKeys

public ArrayList<ArrayList<String>> getAllSequentialKeys()

### setWindowSize

public void setWindowSize(int windowSize)